<?php
/**
 * Header template
 * Path: includes/header.php
 */

// Determine page title
$page_title = $page_title ?? APP_NAME;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $page_title; ?></title>
    
    <!-- Favicon -->
    <link rel="shortcut icon" href="assets/img/favicon.ico" type="image/x-icon">
    
    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    
    <!-- CSS -->
    <link rel="stylesheet" href="assets/css/style.css">
    <?php if (isset($extra_css)): ?>
    <link rel="stylesheet" href="<?php echo $extra_css; ?>">
    <?php endif; ?>
</head>
<body class="<?php echo $body_class ?? ''; ?>">
    <?php if (isLoggedIn() && basename($_SERVER['PHP_SELF']) != 'index.php'): ?>
    <header class="main-header">
        <div class="container">
            <div class="header-content">
                <div class="logo-container">
                    <div class="logo">
                        <a href="dashboard.php">
                            <span class="logo-text"><?php echo APP_NAME; ?></span>
                        </a>
                    </div>
                    
                    <!-- Mobile menu toggle button -->
                    <div class="mobile-toggle" id="mobile-toggle">
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                </div>
                
                <div class="nav-container" id="nav-container">
                    <nav class="main-nav">
                        <ul>
                            <li><a href="dashboard.php" class="<?php echo basename($_SERVER['PHP_SELF']) == 'dashboard.php' ? 'active' : ''; ?>">Dashboard</a></li>
                            <li><a href="match-analysis.php" class="<?php echo basename($_SERVER['PHP_SELF']) == 'match-analysis.php' ? 'active' : ''; ?>">Match Analysis</a></li>
                        </ul>
                    </nav>
                    
                    <div class="user-menu">
                        <div class="user-info">
                            <span>Hello, <?php echo $_SESSION['username']; ?></span>
                        </div>
                        <a href="logout.php" class="btn btn-outline">Logout</a>
                    </div>
                </div>
            </div>
        </div>
    </header>

    <!-- Add JavaScript for mobile menu toggle -->
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const mobileToggle = document.getElementById('mobile-toggle');
            const navContainer = document.getElementById('nav-container');
            
            mobileToggle.addEventListener('click', function() {
                navContainer.classList.toggle('active');
                mobileToggle.classList.toggle('active');
            });
        });
    </script>
    <?php endif; ?>
    
    <main class="main-content">
        <?php echo displayMessage(); ?>